// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#ifndef MENU_H
#define MENU_H
#include <avr/io.h>
#include <avr/pgmspace.h>


#define SW_SET PD0
#define SW_NEXT PD1



enum LcdMenu{
	//k1stSetup = 0x00,
	k1stDo1cal = 0x01,
	k1stDo2cal = 0x02,
	k1stShow1cal = 0x03,
	k1stShow2cal = 0x04,
	k2ndDo1cal = 0x11,
	k2ndDo2cal = 0x14,
	k1stNormal = 0x00,
	k2ndShow1cal = 0x21,
	k2ndShow2cal = 0x22,
	k2ndShowClock = 0x30,
	k1stShowClock = 0x05,
	k1stDoClock = 0x06,
	k2ndDoClockYear = 0x32,
	k2ndDoClockMonth = 0x33,
	k2ndDoClockDay = 0x34,
	k2ndDoClockHour = 0x35,
	k2ndDoClockMinute = 0x36,
	k2ndDoClockSec = 0x37,
	k2ndDoClock = 0x31,
	k1stSetInterval = 0x07,
	k2ndSetInterval = 0x40,
	k1stReset = 0x08,
	k2ndReset = 0x50,
	kSaved = 0x98,
	kUnknown = 0x99
};



volatile uint8_t displayStatus;

uint8_t window;
uint8_t lastWindow;

inline uint8_t debounce(volatile uint8_t *port, uint8_t pin);
int updateWindow(uint8_t myWindow);
void menuLoop();

void initMenu();

#endif
