// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#ifndef SD_h
#define SD_h

#include "sd/fat.h"
#include "sd/fat_config.h"
#include "sd/partition.h"
#include "sd/sd_raw.h"
#include "sd/sd_raw_config.h"

struct fat_fs_struct* fs;
struct partition_struct *partition;

uint8_t find_file_in_dir(struct fat_fs_struct* fs, struct fat_dir_struct* dd, const char* name, struct fat_dir_entry_struct* dir_entry);
struct fat_file_struct* open_file_in_dir(struct fat_fs_struct* fs, struct fat_dir_struct* dd, const char* name);
uint16_t SDappendFile(struct fat_fs_struct *fs, char * path, char * filename, char * writeStr);

void SDTryLoading();
void SDUnload();

void LogMessage (char msg[]);

#endif
