// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#include "spi.h"

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

void SPI_masterInit (void) {
	DDRB = _BV(PB0) | _BV(PB2) | _BV(PB3) | _BV(PB5);		// setze SCK,MOSI,PB0 (SS) als Ausgang
	DDRB &= ~_BV(PB4);							// setze MISO als Eingang
	PORTB = _BV(PB5) | _BV(PB2) | _BV(PB0);				// SCK und PB0 high (ist mit SS am Slave verbunden)
	SPCR = _BV(SPE) | _BV(MSTR) | _BV(SPR0);	//Aktivierung des SPI, Master, Taktrate fck/16
}

unsigned char SPI_sendToLCD (unsigned char data) {
	PORTB &= ~_BV(PB2);						//SS am Slave Low --> Beginn der â¹bertragung
	SPDR = data;								//Schreiben der Daten
	while (!(SPSR & (1<<SPIF)));
	PORTB |= _BV(PB2);							//SS High --> Ende der â¹bertragung
	return SPDR;
}

unsigned char SPI_sendToPT (unsigned char data) {
	PORTB &= ~_BV(PB0);						//SS am Slave Low --> Beginn der â¹bertragung
	SPDR = data;								//Schreiben der Daten
	while (!(SPSR & (1<<SPIF)));
	PORTB |= _BV(PB0);							//SS High --> Ende der â¹bertragung
	return SPDR;
}
