// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#include "timer.h"
#include <avr/io.h>
#include <avr/interrupt.h>

void timerInit(void) {
	
	/* FOR ATMEGA8 
	// Timer 0 konfigurieren
  TCCR0 = (1<<CS00) | (1<<CS02); // Prescaler 1024
 
  // Overflow Interrupt erlauben
  TIMSK |= (1<<TOIE0);
 
  // Global Interrupts aktivieren
  sei();
  * 
  * */
  
  /* FOR ATMEGA328p */
    
	TCCR0B = (1<<CS00) | (1<<CS02); // Prescaler 1024
	//TCCR0B = (1<<CS01);
	TIMSK0 |= (1 << TOIE0);

	sei();
}

ISR (TIMER0_OVF_vect) {
	
	//bei 8Mhz, Prescaler 1024, passiert dies ~30x/Sekunde
	tim0count++;
	//if (tim0count > 200) tim0count++;
	if (tim0count % 10 == 0) { //etwa 3x pro Sekunde
		myISRs |= (1 << 0); //set bit 0
	}
	if (tim0count % 10 == 5) { //etwa 3x pro Sekunde
		myISRs |= (1 << 1); //set bit 1
	}
	if (tim0count % 10 == 0) { //etwa 3x pro Sekunde
		myISRs ^= (1 << 2); //toggle bit 2
	}
	
}
